/*
 *  Author: tican
 *
 *  Declarations for Syscriptor.
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <string.h>

void sound(void)
{
	FILE *file;
	char *fname = "/proc/pci";
	char buf[100];
	char *card, *card2, *card3;
	int found=0;

	file = fopen(fname, "r");
	if ( !file ) {
		fprintf(stderr, "Could not open %s. Bailing out.\n", fname);
		return;
	}

	puts("");
	printf("  \e[0;07m");
        printf("SOUND\n\n");
        printf("\e[0;39m");

	printf("\e[1;37m  Soundcard(s):\e[0;39m\n");
	while ( fgets(buf, sizeof buf, file) ) {
		card = strstr(buf,"audio");
		if ( card ) {
			card2 = strchr(card, '(');
			if ( card2 ) {
				found = 1;
				card2[-1] = 0;
				card3 = strchr(card,':')+1;
				printf(" %s\n", card3);
			}
		}
	}

	if ( !found ) {
		printf("  Could not find your soundcard.\n");
	}

	puts("");
	fclose(file);
}
