/*
 *  Author: tican
 *
 *  Declarations for Syscriptor.
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>

void help(char *argument)
{
	puts("");
	printf("Usage: %s [OPTION]...\n", argument);
	printf("Shows information from your computer. Without OPTIONS is the same as with -h.\n\n");
	printf("\t -a\t displays all the options\n");
	printf("\t -b\t displays your SCSI harddisks, CDROMs and cards\n");
	printf("\t -c\t displays info about your processor\n");
	printf("\t -g\t displays info about your graphic card\n");
	printf("\t -i\t displays your IDE harddisks and CDROMs\n");
	printf("\t -m\t displays info about your RAM and Swap\n");
	printf("\t -n\t displays network info (card, ips etc.)\n");
	printf("\t -o\t displays what os you're using\n");
	printf("\t -p\t displays your partitions\n");
	printf("\t -s\t displays sound info (card(s) etc.)\n");
	printf("\t -u\t displays your uptime\n");
	printf("\t -v\t displays the version of this program\n");
	printf("\t -h\t what you've done now\n\n");
	printf("If something doesn't work, try it as root.\n");
	printf("Please send bug reports, comments or ideas to tican@kopervik-online.no or\n");
	printf("contact tican on IRC (#Syscriptor@Undernet).\n\n");
	exit(0);
}
